/************************************************************************
*                                                                       *
* VisualAge C++ for OS/2 Version 3.0                                    *
*                                                                       *
* IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                       *
* (C)Copyright IBM Corp. 1995.                                          *
* - Licensed Material - Program-Property of IBM - All Rights Reserved   *
*                                                                       *
*************************************************************************/
/* Install command file for setting the project inheritance             */
/* for projects installed in CTD302.  Replaces the manual instructions  */
/* provided in CTD301                                                   */
/*                                                                      */
/* Based on CTV302ai.cmd                                                */
/*                                                                      */
/* 01-07-97  dz  Text Strings extracted                                 */
/* 11-18-96  dz  Initial version                                        */
/************************************************************************/

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

Parse Arg x

/*define the text strings*/
call DefineString

if (x = '?') then call help;

/* Load the Project Smarts utility functions. */
rc = RxFuncAdd('iwfLoadFuncs', 'iwfRexx', 'iwfLoadFuncs');
rc = iwfLoadFuncs;



/* get work directory from environment variable */
vacppWorkDir = value('CPPWORK',,'OS2ENVIRONMENT');
if (vacppWorkDir = '') then 
do
  call Status(cjd_string1);
  exit(16);
end



/* set project inheritance and source code location */

/* Project DATA_AC1 */
WPSPath = overlay('\SAMPLES\PROJECTS\DATABASE\DATA_AC1',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\DATABASE\CAR\CAREDIT;',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error

/* Project DATA_ACC */
WPSPath = overlay('\SAMPLES\PROJECTS\DATABASE\DATA_ACC',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\DATABASE\CAR\CARBRWS',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error

/* Project DAXSAMP! */
WPSPath = overlay('\SAMPLES\PROJECTS\DATABASE\DAXSAMP!',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\DATABASE\CAR\DAXSAMP',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error

/* Project DAX_C!!_ */
WPSPath = overlay('\SAMPLES\PROJECTS\DATABASE\DAX_C!!_',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\DATABASE\STOCK\CSETPP',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error

/* Project DAS_SOM_ */
WPSPath = overlay('\SAMPLES\PROJECTS\DATABASE\DAX_SOM_',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\DATABASE\STOCK\SOM',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error

/* another DaxSamp */
WPSPath = overlay('\SAMPLES\DATABASE\CAR\CARBRWS\DAXSAMP!',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\DATABASE\CAR\DAXSAMP',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error

/* another DaxSamp */
WPSPath = overlay('\SAMPLES\DATABASE\CAR\CAREDIT\DAXSAMP!',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\DATABASE\CAR\DAXSAMP',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error


/* SubProject DAREA_LI (in DOODLE) */
WPSPath = overlay('\SAMPLES\VISBUILD\DOODLE\DAREA_LI',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\VISBUILD\DOODLE\DAREA',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error

/* Project CPPOV23_ */
WPSPath = overlay('\SAMPLES\VISBUILD\RAPSHEET\CPPOV23_',vacppWorkDir,length(vacppWorkDir) + 1)
WPSCode = overlay('\SAMPLES\VISBUILD\RAPSHEET\CPPOV23',vacppWorkDir,length(vacppWorkDir) + 1)

rc = SysSetObjectData(WPSPath,"INHERITLIST=<CPPDFTPRJ>;PAMLOCATION:IWFBPAM="WPSCode";PAMDEFAULT:IWFBPAM="WPSCode";");
if rc \= 1 then 
   call Error



say(cjd_string2);
call Done(0);


Error:
  say cjd_string3;
  call Done(17);


Done:
arg doneRc
rc = iwfDropFuncs;     /* Unloads Smarts DLLs */
exit(doneRc)

Help:
say "***********************************************************************"
say "*                                                                     *"
say "* VisualAge C++ for OS/2 Version 3.0                                  *"
say "*                                                                     *"
say "* IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                     *"
say "* (C)Copyright IBM Corp. 1995.                                        *"
say "* - Licensed Material - Program-Property of IBM - All Rights Reserved *"
say "*                                                                     *"
say "***********************************************************************"


say ""
say cjd_string4
SAY cjd_string5
SAY ""
exit(18)


DefineString:

cjd_string1 = "Error: Environment variable 'CPPWORK' not set. Aborting..."
cjd_string2 = "CTD302a: Project inheritance set successfully."
cjd_string3 = "CTD302a: Error: Could not set project inheritance for  "WPSPath 
                             /*WPSPath is a variable*/
cjd_string4 = "Purpose: set the inheritance of projects installed in CTD301"
cjd_string5 = "Usage: CTD302A"

return